#!/usr/bin/env python
import pygame
from pygame.locals import *
import sys

import cursor, tools, player

SCR_RECT = Rect(0, 0, 640, 480)

class Main():
    def __init__(self):
        pygame.init()
        pygame.display.set_caption("sample")
        screen = pygame.display.set_mode(SCR_RECT.size)

        # グループを作成する
        self.players = pygame.sprite.Group()
        # Playerクラスのデフォルトグループに設定する
        player.Player.containers = self.players

        # プレイヤーを複数インスタンス化
        self.player_1 = player.Player((288, 200))
        self.player_2 = player.Player((150, 40))
        self.player_3 = player.Player((330, 400))

        self.bg = tools.load_image("data", "bg.png")

        clock = pygame.time.Clock()
        while True:
            clock.tick(30)
            self.update()
            self.draw(screen)
            pygame.display.update()
            self.key_handler()

    def update(self):
        # グループを更新
        self.players.update()

    def draw(self, screen):
        screen.blit(self.bg, (0, 0))
        # グループを描画
        self.players.draw(screen)

    def key_handler(self):
        for event in pygame.event.get():
            if event.type == QUIT:
                pygame.quit()
                sys.exit()

if __name__ == "__main__":
    Main()
